path: /build/build/linux-sources-virtual-3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="firmware" emerge virtual/linux-sources -pv -t && \
    USE="firmware" emerge -j ${JOBS} --nodeps virtual/linux-sources
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/linux-sources && luet-portage --dir
    /pkgdir/linux-sources virtual/linux-sources && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d322edc59e07db83ddcbf9f9869f7cfd9eecbd8c6929d6cb1b7224cf51f249a9
  package:
    name: linux-sources
    version: "3"
    category: virtual
    use_flags:
    - firmware
    requires:
    - name: dummy-sources
      version: '>=0'
      category: sys-kernel
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for Linux kernel sources
    uri:
    - ""
    buildtimestamp: 2023-09-08 17:36:27.383259519 +0000 UTC m=+57.060792580
    labels:
      IUSE: firmware
      RDEPEND: firmware? ( sys-kernel/linux-firmware ) || ( sys-kernel/dummy-sources
        sys-kernel/debian-sources sys-kernel/debian-sources-lts sys-kernel/gentoo-sources
        sys-kernel/ck-sources sys-kernel/vanilla-sources )
      emerge.packages: virtual/linux-sources
      kit: core-kit
      original.package.name: virtual/linux-sources
      original.package.slot: "0"
      original.package.version: "3"
    treedir: /build/packages
  package_dir: /pkgdir/linux-sources
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 11886cd7d1ff891bb4785694df778328b4bf1e80f20796911c23fe5ae59b06ff
compressiontype: zstd
files:
- var/db/pkg/virtual/linux-sources-3/BUILD_TIME
- var/db/pkg/virtual/linux-sources-3/CATEGORY
- var/db/pkg/virtual/linux-sources-3/CBUILD
- var/db/pkg/virtual/linux-sources-3/CFLAGS
- var/db/pkg/virtual/linux-sources-3/CHOST
- var/db/pkg/virtual/linux-sources-3/COUNTER
- var/db/pkg/virtual/linux-sources-3/CXXFLAGS
- var/db/pkg/virtual/linux-sources-3/DEFINED_PHASES
- var/db/pkg/virtual/linux-sources-3/DESCRIPTION
- var/db/pkg/virtual/linux-sources-3/EAPI
- var/db/pkg/virtual/linux-sources-3/FEATURES
- var/db/pkg/virtual/linux-sources-3/IUSE
- var/db/pkg/virtual/linux-sources-3/IUSE_EFFECTIVE
- var/db/pkg/virtual/linux-sources-3/KEYWORDS
- var/db/pkg/virtual/linux-sources-3/LDFLAGS
- var/db/pkg/virtual/linux-sources-3/LICENSE
- var/db/pkg/virtual/linux-sources-3/PF
- var/db/pkg/virtual/linux-sources-3/RDEPEND
- var/db/pkg/virtual/linux-sources-3/SIZE
- var/db/pkg/virtual/linux-sources-3/SLOT
- var/db/pkg/virtual/linux-sources-3/USE
- var/db/pkg/virtual/linux-sources-3/environment.bz2
- var/db/pkg/virtual/linux-sources-3/linux-sources-3.ebuild
- var/db/pkg/virtual/linux-sources-3/repository
package_cacheimage: ""
runtime:
  name: linux-sources
  version: "3"
  category: virtual
  use_flags:
  - firmware
  requires:
  - name: dummy-sources
    version: '>=0'
    category: sys-kernel
  - name: linux-firmware
    version: '>=0'
    category: sys-kernel
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for Linux kernel sources
  uri:
  - ""
  labels:
    IUSE: firmware
    RDEPEND: firmware? ( sys-kernel/linux-firmware ) || ( sys-kernel/dummy-sources
      sys-kernel/debian-sources sys-kernel/debian-sources-lts sys-kernel/gentoo-sources
      sys-kernel/ck-sources sys-kernel/vanilla-sources )
    emerge.packages: virtual/linux-sources
    kit: core-kit
    original.package.name: virtual/linux-sources
    original.package.slot: "0"
    original.package.version: "3"
